USB_HOST_STATUS_BK_Type Union Reference

## Data Fields

struct {
uint8_t CRCERR:1
uint8_t ERRORFLOW:1
uint8_t __pad0__:6
} | bit
uint8_t | reg

## Detailed Description

Definition at line 1556 of file usb.h.

## Field Documentation

## __pad0__

uint8_t USB_HOST_STATUS_BK_Type::__pad0__

bit: 2.. 7 Reserved

Definition at line 1560 of file usb.h.

## bit

struct { ... } USB_HOST_STATUS_BK_Type::bit

Structure used for bit access

## CRCERR

uint8_t USB_HOST_STATUS_BK_Type::CRCERR

bit: 0 CRC Error Status

Definition at line 1558 of file usb.h.

## ERRORFLOW

uint8_t USB_HOST_STATUS_BK_Type::ERRORFLOW

bit: 1 Error Flow Status

Definition at line 1559 of file usb.h.

## reg

uint8_t USB_HOST_STATUS_BK_Type::reg

Type used for register access

Definition at line 1562 of file usb.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/usb.h